Blame SOURCES/rear-bz1726982.patch

129f2e
diff --git a/usr/share/rear/restore/BACULA/default/400_restore_backup.sh b/usr/share/rear/restore/BACULA/default/400_restore_backup.sh
129f2e
index eac4d275..d21af71c 100644
129f2e
--- a/usr/share/rear/restore/BACULA/default/400_restore_backup.sh
129f2e
+++ b/usr/share/rear/restore/BACULA/default/400_restore_backup.sh
129f2e
@@ -110,7 +110,11 @@ WARNING: The new root is mounted under '$TARGET_FS_ROOT'.
129f2e
 Press ENTER to start bconsole"
129f2e
     read
129f2e
 
129f2e
-    bconsole
129f2e
+    if bconsole 0<&6 1>&7 2>&8 ; then
129f2e
+        Log "bconsole finished with zero exit code"
129f2e
+    else
129f2e
+        Log "bconsole finished with non-zero exit code $?"
129f2e
+    fi
129f2e
 
129f2e
     LogPrint "
129f2e
 Please verify that the backup has been restored correctly to '$TARGET_FS_ROOT'